<!-- Auto-generated from JSON by GDScript docs maker. Do not edit this document directly. -->

# save\_data.gd

## Constants Descriptions

### DATA\_STRING

```gdscript
class save_data.gd
```

### DATA\_STRING\_ARRAY

```gdscript
const DATA_STRING_ARRAY: int = 1
```

### DATA\_VARIANT

```gdscript
const DATA_VARIANT: int = 2
```

## Property Descriptions

### base

```gdscript
var base
```

### slots

```gdscript
var slots
```

### max\_slots

```gdscript
var max_slots
```

### settings

```gdscript
var settings
```

## Method Descriptions

### save\_settings

```gdscript
func save_settings(p_data, p_callback)
```

### check\_settings

```gdscript
func check_settings()
```

### load\_settings

```gdscript
func load_settings(p_callback)
```

### save\_game

```gdscript
func save_game(p_data, p_slot, p_callback)
```

### load\_slot

```gdscript
func load_slot(p_slot, p_callback)
```

### load\_autosave

```gdscript
func load_autosave(p_callback)
```

### autosave

```gdscript
func autosave(p_data, p_callback)
```

### get\_slots\_available

```gdscript
func get_slots_available(p_callback)
```

### autosave\_available

```gdscript
func autosave_available()
```

### start

```gdscript
func start()
```

